* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw300: 300;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
  --line-height: 1.75rem;
}

body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  font-size: 16px;
}

/* === 📌 figures cards === */

.section__figures {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 90%;
  max-width: 75rem;
  margin: 100px auto;
  gap: 1.5rem;
  align-items: center;
  justify-content: space-between;
  background-color: transparent;
}

.figure-card {
  background: var(--gray4);
  border-radius: var(--radius10);
  box-shadow: var(--box-shadow);
}

.figure {
  font-size: 5rem;
  font-weight: var(--fw600);
  color: var(--blue1);
  height: 6.25rem;
}

.figure-red {
  color: var(--salmon);
}

.percent {
  font-size: 1.25rem;
}

.increment {
  text-transform: uppercase;
  font-size: 1.25rem;
  font-weight: var(--fw600);
  letter-spacing: 0.21rem;
  color: var(--blue1);
}

.increment-red {
  color: var(--salmon);
}

.triangle-mark {
  width: 7.5rem;
  height: 7.5rem;
  background: url("../assets/triangle-up.svg"), var(--gray-stroke);
  background-repeat: no-repeat;
  background-size: 56%;
  background-position: center;
  border-radius: 1rem;
  border-right: 0.0625rem solid var(--gray3);
  border-bottom: 0.125rem solid var(--gray3);
  margin: auto;
}

.triangle-mark-red {
  background: url("../assets/triangle-down.svg"), var(--gray-stroke);
  background-repeat: no-repeat;
  background-size: 56%;
  background-position: center;
}

.figure-increment {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.top-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-content: center;
  padding: 1rem 1rem 0.5rem 1rem;
  border-bottom: 0.0625rem solid var(--gray3);
}

.figure-description {
  color: var(--gray1);
  font-weight: var(--300);
  line-height: var(--line-height);
  padding: 1rem;
}

/* === 📌 responsive === */

@media (max-width: 68.75rem) {
  .section__figures {
    gap: 1rem;
  }
  .triangle-mark {
    width: 6.25rem;
    height: 6.25rem;
  }
}

@media (max-width: 62.5rem) {
  .top-wrapper {
    grid-template-columns: 1fr;
    gap: 1.5rem;
  }
}


@media (max-width: 50rem){
  .section__figures{
    grid-template-columns: 1fr;
  }
  .top-wrapper{
    grid-template-columns: 1fr 1fr;
  }
}